Name:           perl-Class-ISA
Version:        0.36
Release:        1005%{?dist}
Summary:        Report the search path for a class's ISA tree
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-ISA/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/Class-ISA-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Suppose you have a class (like Food::Fish::Fishstick) that is derived, via
its @ISA, from one or more superclasses (as Food::Fish::Fishstick is from
Food::Fish, Life::Fungus, and Chemicals), and some of those superclasses
may themselves each be derived, via its @ISA, from one or more superclasses
(as above).

%prep
%setup -q -n Class-ISA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
rm -rf $RPM_BUILD_ROOT/%{_mandir}/man3/*
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/*

%changelog
* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.36-1005
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36-1004
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 09 2010 Petr Pisar <ppisar@redhat.com> - 0.36-1003
- Increase release number to be higher than Perl core package (bug #651317)

* Mon May 10 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.36-2
- fix of conflicting man pages 

* Mon May 03 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.36-1
- Specfile autogenerated by cpanspec 1.78.
